System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IDisposable

The interface enables an inheriting class to implement a Connection class, which represents a unique session with a data source (for example, a network connection to a server). For more information about Connection classes, see [<topic://cpconadonetconnections>].

An application does not create an instance of the interface directly, but creates an instance of a class that inherits .

Classes that inherit must implement all inherited members, and typically define additional members to add provider-specific functionality. For example, the interface defines the property. In turn, the class inherits this property, and also defines the property.

Represents an open connection to a data source, and is implemented by .NET Framework data providers that access relational databases.

- Method
  System.Data.IDbTransaction

  Once the transaction has completed, you must explicitly commit or roll back the transaction by using the or methods.

  Begins a database transaction.

  An object representing the new transaction.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.IDbTransaction ``

  Once the transaction has completed, you must explicitly commit or roll back the transaction using the or methods.

  Begins a database transaction with the specified value.

  An object representing the new transaction.

  One of the values. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Changes the current database for an open Connection object.

  The name of the database to use in place of the current database. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method rolls back any pending transactions. It then releases the connection to the connection pool, or closes the connection if connection pooling is disabled.

  An application can call Close more than one time without generating an exception.

  Closes the connection to the database.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The ConnectionString property can be set only while the connection is closed.

  Gets or sets the string used to open a database.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  A value of 0 indicates no limit to the wait time, rather than no wait time, and should be avoided in a because it would cause the connection attempt to wait indefinitely.

  Gets the time to wait while trying to establish a connection before terminating the attempt and generating an error.

  1.0.5000.0
  2.0.0.0
- Method
  System.Data.IDbCommand To be added

  Creates and returns a Command object associated with the connection.

  A Command object associated with the connection.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The Database property can be dynamically updated by using the method or by passing an SQL statement using one of the Execute methods. (Initially the database is set by means of the connection string.) If you change the current database using an SQL statement or the ChangeDatabase method, an informational message is sent and then the property is updated.

  Gets the name of the current database or the database to be used after a connection is opened.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Opens a database connection with the settings specified by the ConnectionString property of the provider-specific Connection object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Data.ConnectionState To be added: an object of type 'ConnectionState'

  The allowed state changes are:

  From Closed to Open, using the Open method of the Connection object.

  From Open to Closed, using either the Close method or the Dispose method of the Connection object.

  Gets the current state of the connection.

  1.0.5000.0
  2.0.0.0